local moonshine = require 'moonshine'

function love.load()
	canvas = love.graphics.newCanvas(800, 600)
	effect = moonshine(moonshine.effects.glow)
	effect.glow.min_luma = 1
	effect.glow.strength = 50
	sprite = love.graphics.newImage("background.png")
	sprite:setWrap("repeat", "repeat")
	quad = love.graphics.newQuad( 0,0, 800,600, 100,100 )
end

function love.draw()
	love.graphics.setCanvas(canvas)
	love.graphics.clear()
	love.graphics.setColor({ 255, 0, 0 })
    love.graphics.rectangle("fill", 100,100, 100,100)
	love.graphics.setColor({ 255, 255, 255 })
    love.graphics.rectangle("fill", 300,300, 100,100)
	
	love.graphics.setCanvas()
	love.graphics.setColor({ 255, 255, 255 })
	love.graphics.draw(sprite, quad, 0, 0, 0, 1, 1)
    effect(function()
	  love.graphics.setColor({ 255, 255, 255 })
      love.graphics.draw(canvas, 0, 0)
    end)
end